[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarCompareValue

Compare 2 variant values

## Declaration

Source position: variants.pp line 102

`function VarCompareValue(`
`const A: Variant;`
`const B: Variant`
`):TVariantRelationship;`

## Arguments

`A` |  | First value to compare
`B` |  | Second value to compare

## Function result

Result of the comparison

## Description

VarCompareValue compares 2 variants A and B. It returns one of the following values:

vrEqual
  if the 2 variant values are equal.
vrUnEqual
  if one of the 2 variant is null or empty and the other is not.
vrGreaterThan
  if A>B
vrLessThan
  if A<B

## See also

VarSameValue |  | Check if 2 variants are the same